### Class

# Camel SMIMEContext

#### Description

    class Camel.SMIMEContext : Camel.CipherContext
    {
      CamelSMIMEContextPrivate* priv
    }

No description available.

#### Hierarchy

#### Ancestors

- CamelCipherContext
- GObject

#### Constructors

###### camel_smime_context_new

Creates a new sm cipher context object.

#### Functions

###### camel_smime_context_util_nss_error_to_string

Utility function to get a localized text description for an error code returned by PORT_GetError().

since: 3.52

#### Instance methods

###### camel_smime_context_describe_part

No description available.

###### camel_smime_context_set_encrypt_key

No description available.

###### camel_smime_context_set_sign_mode

No description available.

##### Methods inherited from CamelCipherContext (15)

###### camel_cipher_context_decrypt

Asynchronously decrypts `ipart` into `opart`.

since: 3.0

###### camel_cipher_context_decrypt_finish

Finishes the operation started with camel_cipher_context_decrypt().

since: 3.0

###### camel_cipher_context_decrypt_sync

Decrypts `ipart` into `opart`.

since: 3.0

###### camel_cipher_context_encrypt

Asynchronously encrypts the clear-text `ipart` and writes the resulting cipher-text to `opart`.

since: 3.0

###### camel_cipher_context_encrypt_finish

Finishes the operation started with camel_cipher_context_encrypt().

since: 3.0

###### camel_cipher_context_encrypt_sync

Encrypts the clear-text `ipart` and writes the resulting cipher-text to `opart`.

since: 3.0

###### camel_cipher_context_get_session

No description available.

since: 2.32

###### camel_cipher_context_hash_to_id

No description available.

###### camel_cipher_context_id_to_hash

No description available.

###### camel_cipher_context_sign

Asynchronously converts the (unsigned) part `ipart` into a new self-contained MIME part `opart`. This may be a multipart/signed part, or a simple part for enveloped types.

since: 3.0

###### camel_cipher_context_sign_finish

Finishes the operation started with camel_cipher_context_sign().

since: 3.0

###### camel_cipher_context_sign_sync

Converts the (unsigned) part `ipart` into a new self-contained MIME part `opart`. This may be a multipart/signed part, or a simple part for enveloped types.

since: 3.0

###### camel_cipher_context_verify

Asynchronously verifies the signature.

since: 3.0

###### camel_cipher_context_verify_finish

Finishes the operation started with camel_cipher_context_verify().

since: 3.0

###### camel_cipher_context_verify_sync

Verifies the signature.

##### Methods inherited from GObject (43)

Please see GObject for a full list of methods.

#### Properties

##### Properties inherited from CamelCipherContext (1)

###### Camel.CipherContext:session

The corresponding `CamelSession`.

#### Signals

##### Signals inherited from GObject (1)

###### GObject::notify

The notify signal is emitted on an object when one of its properties has its value set through g_object_set_property(), g_object_set(), et al.

#### Class structure

    struct CamelSMIMEContextClass {
      CamelCipherContextClass parent_class;
      gpointer reserved;

    }

No description available.

###### Class members

`parent_class: CamelCipherContextClass`

  No description available.

`reserved: gpointer`

  No description available.